# $Revision: 1.25 $, $Date: 2012/03/12 20:01:33 $
Summary:	xman aplication - manual display program for the X Window System
Summary(pl.UTF-8):	Aplikacja xman - program do wyświetlania manuali dla systemu X Window
Name:		xorg-app-xman
Version:	1.1.2
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xman-%{version}.tar.bz2
# Source0-md5:	17d89b043083cba9e335379fc61981c0
Patch0:		%{name}-confname.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	man-db
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xman is a graphical manual page browser using the Athena Widgets (Xaw)
toolkit.

%description -l pl.UTF-8
xman to graficzna przeglądarka stron manuala, wykorzystująca toolkit
X Athena Widgets (Xaw).

%prep
%setup -q -n xman-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-localmanpath=/usr/local/man \
	--with-sysmanpath=/usr/share/man \
	--with-manconfig=/etc/man_db.conf

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xman
%{_datadir}/X11/app-defaults/Xman
%{_datadir}/X11/xman.help
%{_mandir}/man1/xman.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xman.spec,v $
Revision 1.25  2012/03/12 20:01:33  baggins
- rel 2
- man-db now provides all man stuff

Revision 1.24  2011/06/30 17:23:47  qboosh
- updated to 1.1.2
- updated confname patch

Revision 1.23  2011/01/29 00:07:54  sparky
- dropped pre-cvs changelog

Revision 1.22  2010/10/31 15:04:56  qboosh
- updated to 1.1.1
- updated confname patch

Revision 1.21  2009/10/19 17:07:36  qboosh
- updated to 1.1.0

Revision 1.20  2008/11/11 16:53:59  arekm
- rel 3; fix xaw related build

Revision 1.19  2008/11/07 20:51:42  arekm
- release 2

Revision 1.18  2007/08/10 23:43:56  qboosh
- descs from man

Revision 1.17  2007/08/10 17:21:24  arekm
- up to 1.0.3

Revision 1.16  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.14  2006/10/15 21:07:36  qboosh
- release 2

Revision 1.13  2006/10/15 21:07:19  qboosh
- pass man paths
- added confname patch to update man.conf(ig) path in xman(1x) manual
  (following X11-xman.patch)

Revision 1.12  2006/04/02 09:32:21  arekm
- up to 1.0.2

Revision 1.11  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.10  2006/01/12 15:38:20  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.9  2005/12/13 15:47:49  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 22:04:54  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 13:45:44  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch
- added man-config deps

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs
